Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160895 - There is no mechanism to remove obsolete booleans from booleans.local
Summary: There is no mechanism to remove obsolete booleans from booleans.local
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
: 169447 (view as bug list)
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-06-18 07:08 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-02 11:42:21 UTC


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-06-18 07:08:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Old booleans just stay in booleans.local, and trigger warnings.
The problem is made worse by system-config-securitylevel, because
it doesn't keep track of how booleans.local differs from booleans,
so if you click all over the place, pretty soon the entire
booleans file ends up in booleans.local, regardless of whether 
you undid your changes in the same program run, or later.

Also, there should be a button somewhere in the securitylevel tool
to restore all booleans to default state (or perhaps that
should be done per boolean?)


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Chris Lumens 2005-09-29 17:35:32 UTC
*** Bug 169447 has been marked as a duplicate of this bug. ***

Comment 2 Ivan Gyurdiev 2006-01-02 11:42:21 UTC
I am closing this bug, because old booleans are obsoleted on a
libsemanage-enabled system, and cleared from the config file.





Note You need to log in before you can comment on or make changes to this bug.